Package org.eclipse.m2m.atl.adt.ui.text

# Class AtlTextTools

java.lang.Object
org.eclipse.m2m.atl.adt.ui.text.AtlTextTools

public class AtlTextTools extends Object
A text tools allows to fPreferenceeStore one instance of all tools used in the plug-in. Thus every classes should use the same tool.

## Constructor Summary

Constructors
Constructor
Description
`AtlTextTools(org.eclipse.jface.preference.IPreferenceStore preferenceStore)`
Creates a new instance of the ATL text tools.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Disposes all the individual tools of this tools collection.
`AtlCodeScanner`
`getCodeScanner()`
Gets the highlight syntaxing coloration motor.
`AtlColorManager`
`getColorManager()`
Gets the associated color manager.
`org.eclipse.jface.preference.IPreferenceStore`
`getPreferenceStore()`
Gets the preference fPreferenceeStore used by the text tools.
`void`
`setCodeScanner(AtlCodeScanner codeScanner)`
Sets the new code scanner to use.
`void`
`setNewPreferenceStore(org.eclipse.jface.preference.IPreferenceStore newPreferenceStore)`
Sets the new preference fPreferenceeStore to use.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlTextTools

public AtlTextTools(org.eclipse.jface.preference.IPreferenceStore preferenceStore)
Creates a new instance of the ATL text tools. The only information we need is the fPreferenceeStore where user preferences are.

Parameters:
  `preferenceStore` - the associated preference fPreferenceeStore

## Method Details

### dispose

public void dispose()
Disposes all the individual tools of this tools collection.

### getCodeScanner

public AtlCodeScanner getCodeScanner()
Gets the highlight syntaxing coloration motor.

Returns:
  the code scanner

### getColorManager

public AtlColorManager getColorManager()
Gets the associated color manager.

Returns:
  the color manager

### getPreferenceStore

public org.eclipse.jface.preference.IPreferenceStore getPreferenceStore()
Gets the preference fPreferenceeStore used by the text tools.

Returns:
  the preference fPreferenceeStore

### setCodeScanner

public void setCodeScanner(AtlCodeScanner codeScanner)
Sets the new code scanner to use.

Parameters:
  `codeScanner` - the new code scanner to be used

### setNewPreferenceStore

public void setNewPreferenceStore(org.eclipse.jface.preference.IPreferenceStore newPreferenceStore)
Sets the new preference fPreferenceeStore to use.

Parameters:
  `newPreferenceStore` - the new preference fPreferenceeStore to be used